#!/usr/bin/python3

import pytest
import yaml
from influxdb import InfluxDBClient

@pytest.fixture(scope="module")
def telegraf_agent_config():
    """Returns the service configuration deployed for the telegraf conf tests."""
    with open("test/telegraf-agents/rspec.yml", 'r') as stream:
        data_loaded = yaml.load(stream)
    return data_loaded

@pytest.fixture(params=[{'database': 'CLMCMetrics'}], scope='module')
def influxdb(telegraf_agent_config, request):
    return InfluxDBClient(telegraf_agent_config['hosts'][0]['ip_address'], 8086, request.param['database'])